/* pc navbar 
============================== */
/* ------------ nav ------------ */
nav {
    width: 100%;
    position: fixed;
    top: 0;
    z-index: 99;
    display: flex;
    align-items: center;
    background: #fff;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.1);
    padding: 0 20px;
}

/* ------------ logo ------------ */
nav .nav-logo img {
    width: 50px;
    height: 50px;
}

nav .nav-icon {
    width: 50px;
    height: 50px;
}
/* ------------ TabBar ------------ */
.nav {
    display: flex;
    flex: 1;
    justify-content: center;
    
}

.nav ul {
    zoom: 1;
    list-style: none;
    margin: 0;
    padding: 0;
    
}

.nav ul:before,
.nav ul:after {
    content: "";
    display: table;
}

.nav ul:after {
    clear: both;
}

.nav ul > li {
    width: 200px;
    text-align: center;
    float: left;
    position: relative;
}

.nav a {
    color: #333;
    display: block;
    padding: 20px;
    line-height: 1.2em;
    transition: .1s;
}

.nav a:hover {
    color: #fff;
    background: #1a75bb;
    text-decoration: none;
}

.nav .nav-a {
    padding: 20px;
    font-size:20px;
    font-weight:bold;
}

.nav li ul {
    background: #fff;
}

.nav li ul li {
    /* width: 200px; */
}

.nav li ul a {
    /*font-size: 14px;*/
    border: none;
     font-size:16px;
    font-weight:bold;
    /* transition: .1s; */
}

.nav li ul a:hover {
    background: #1a75bb;
    color: #fff;
    box-shadow: 0 2px 4px rgb(0, 0, 0, 0.3);
    transform: translate(-5px, -5px);
}

/* ------------ 動畫效果 ------------ */
.nav2 ul > li:hover ul {
    visibility: visible;
    opacity: 1;
    filter: alpha(opacity=100);
}

.nav2 li ul {
    position: absolute;
    left: 0;
    top: 58px;
    z-index: 1;
    visibility: hidden;
    opacity: 0;
    filter: alpha(opacity=0);
    -webkit-transition: 200ms ease;
    -moz-transition: 200ms ease;
    -o-transition: 200ms ease;
    transition: 200ms ease;
}


/* mobile navbar 
============================== */

*,
*:before,
*:after {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}

button {
	background: none;
	border: none;
	margin: 10px;
}

button:focus {
	outline: none;
}

.contain {
	position:relative;
	display: inline-block;
	cursor: pointer;
	z-index: 9999;
}

.change .container {
	transform: rotate(90deg);
}

.brand {
	color: #fff;
}

.brand img {
    width: 50px;
}

.bar1,
.bar2,
.bar3 {
	width: 30px;
	height: 2px;
	background-color: #fff;
	border-radius: 2px;
	margin: 4px 0;
	transition: 0.4s;
}

.change .bar1 {
	-webkit-transform: rotate(-45deg) translate(-6px, 6.5px);
	transform: rotate(-45deg) translate(-5.5px, 4.5px);
	top: 50px;
	
	background: rgb(243, 87, 87);
}

.change .bar2 {
	position: relative;
	-webkit-transform: translate(30px, 0px); 
	transform: translate(30px, 0px); 
	background: rgb(243, 87, 87);
	opacity: 0;
}

.change .bar3 {
	-webkit-transform: rotate(45deg) translate(-7px, -8px);
	transform: rotate(45deg) translate(-4px, -3px);
	background: rgb(251, 233, 126);
}


.mobile-navbar {
	position: fixed;
	z-index:3;
	width: 100%;
	height: 58px;
	display: none;
	justify-content: space-between;
	align-content: center;
	align-items: center; 
	padding: 0 20px;
    background-color: #09375a;	
    box-shadow: 0 0 4px transparent;
}

button:focus {
	outline: 0;
}

.open-menu {
	cursor: pointer;
	transition: transform 0.3s;
	color: #fff;
}

.button:hover,
.open-menu:hover {
	transform: scale(1.1);
}

/* Overlay */

.overlay {
	position: fixed;
	z-index: 2;
	background: #09375a;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.35s, visibility 0.35s, height 0.35s;
	overflow: auto;
}

.overlay.open {
	opacity: 1;
	visibility: visible;
	height: 100%;
}

.overlay nav {
	position: relative;
	height: 300px;
	top: 20px;
	transform: translateY(-50%);
    text-align: center;
    box-shadow: 0 0 4px transparent;
    background-color: transparent;
}

.overlay ul {
	list-style: none;
	padding: 0;
	margin: 0 auto;
	display: inline-block;
	position: relative;
	left: 1%;
	height: 100%;
}

.overlay ul li {
	vertical-align: middle;
	display: block;
	position: relative;
	opacity: 0;
	margin-bottom: 35px;
	font-family: "Exo 2", sans-serif;
	font-size: 1.5em;
	font-weight: 400;
	text-transform: uppercase;
	letter-spacing: 4px;
}

.overlay ul li a {
    width: 150px;
	display: block;
	position: relative;
	color: #fff;
	text-decoration: none;
	overflow: hidden;
	transition: all 0.4s;
}

.overlay ul li a:after {
	content: "";
	position: absolute;
	top: 90%;
	left: 43.5%;
	width: 0%;
	transform: translateX(-50%);
	height: 2px;
	background: #fff;
	transition: 0.35s;
}

.overlay ul li a:hover,
.overlay ul li a:focus,
.overlay ul li a:active {
	color: #fff;
}

.overlay ul li a:hover:after,
.overlay ul li a:focus:after,
.overlay ul li a:active:after {
	width: 100%;
	background: rgb(251, 233, 126);
}

.overlay.open li {
	animation: fadeInRight 0.5s ease forwards;
	animation-delay: 0.2s;
}

.overlay.open li:nth-of-type(2) {
	animation-delay: 0.25s;
}

.overlay.open li:nth-of-type(3) {
	animation-delay: 0.3s;
}

.overlay.open li:nth-of-type(4) {
	animation-delay: 0.45s;
}

.overlay.open li:nth-of-type(5) {
	animation-delay: 0.5s;
}

.overlay.open li:nth-of-type(6) {
	animation-delay: 0.55s;
}

.overlay.open li:nth-of-type(7) {
	animation-delay: 0.6s;
}


/* Animation for menu fade in */

@keyframes fadeInRight {
	0% {
		opacity: 0;
		left: 20%;
	}
	100% {
		opacity: 1;
		left: 0;
	}
}

.mobile {
	display: none;
}



@media screen and (min-width: 1920px){}
@media (min-width:1366px) and (max-width:1920px){}
@media (min-width:1024px) and (max-width:1365px){
    .nav ul > li {
        width: 140px;
    }
}
@media (min-width:374px) and (max-width:1023px){
    .pcBar {
        display: none;
    }
    .mobile-navbar {
		display: flex;
	}

}

@media screen and (max-width: 373px){
    .pcBar {
        display: none;
    }
    .mobile-navbar {
		display: flex;
	}

}